//        S C R I P T    F O R    S Q L


//        T A B E L L E R

CREATE TABLE Lokasjon (
        lok_ID Integer NOT NULL,
        lokNavn Varchar(50) NOT NULL,
        lokTypeNavn Varchar(30) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                lok_ID
        )
);

CREATE TABLE LokType (
        lokTypeNavn Varchar(30) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                lokTypeNavn
        )
);

CREATE TABLE LokInfo (
        info_ID Integer NOT NULL,
        infoArtNavn Varchar(30) NOT NULL,
        brukergruppe_ID Varchar(30) NOT NULL,
        lok_ID Integer NOT NULL,
        homepageURL Varchar(200),
        serviceURL Varchar(200),
        CONSTRAINT PrimaryKey PRIMARY KEY (
                info_ID
        )
);

CREATE TABLE InfoKap (
        info_ID Integer NOT NULL,
        kapNr Integer NOT NULL,
        kapTittel Varchar(30) NOT NULL,
        info Varchar(255) NOT NULL,
        picURL Varchar(200),
        CONSTRAINT PrimaryKey PRIMARY KEY (
                info_ID,
                kapNr
        )
);

CREATE TABLE InfoArt (
        infoArtNavn Varchar(30) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                infoArtNavn
        )
);

CREATE TABLE Kart (
        kart_ID Integer NOT NULL,
        lok_ID Integer NOT NULL,
        kartURL Varchar(200),
        CONSTRAINT PrimaryKey PRIMARY KEY (
                kart_ID
        )
);

CREATE TABLE KartLayer (
        layer_ID Integer NOT NULL,
        kart_ID Integer NOT NULL,
        layerURL Varchar(200),
        CONSTRAINT PrimaryKey PRIMARY KEY (
                layer_ID
        )
);

CREATE TABLE Tid (
        tidspost_ID Integer NOT NULL,
        tidFra Varchar(30),
        tidTil Varchar(30),
        datoFra Varchar(30),
        datoTil Varchar(30),
        tidsformNavn Varchar(15) NOT NULL,
        abo_ID Integer,
        event_ID Integer,
        lok_ID Integer,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                tidspost_ID
        )
);

CREATE TABLE Brukertype (
        brukertype_ID Varchar(30) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                brukertype_ID
        )
);

CREATE TABLE Brukergruppe (
        brukergruppe_ID Varchar(30) NOT NULL,
        brukertype_ID Varchar(30) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                brukergruppe_ID
        )
);

CREATE TABLE Keyword (
        keyword Varchar(30) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                keyword
        )
);

CREATE TABLE Brukerprofil (
        brukernavn Varchar(30) NOT NULL,
        passord Varchar(64) NOT NULL,
        fnavn Varchar(30),
        enavn Varchar(30),
        kontekst_ID Varchar(30) NOT NULL,
        brukergruppe_ID Varchar(30) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                brukernavn
        )
);

CREATE TABLE Interesser (
        interesse_ID Varchar(30) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                interesse_ID
        )
);

CREATE TABLE Brukerinteresser (
        interesse_ID Varchar(30) NOT NULL,
        brukernavn Varchar(30) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                brukernavn,
                interesse_ID
        )
);

CREATE TABLE Deltakelse (
        deltakelse_ID Integer NOT NULL,
        event_ID Integer,
        brukernavn Varchar(30) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                deltakelse_ID
        )
);

CREATE TABLE Event (
        event_ID Integer NOT NULL,
        eventTitle Varchar(30) NOT NULL,
        eventDesc Varchar(255) NOT NULL,
        lok_ID Integer NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                event_ID
        )
);

CREATE TABLE Relasjon (
        rel_ID Integer NOT NULL,
        relBeskrivelse Varchar(200),
        relType_ID Varchar(30) NOT NULL,
        brukergruppe_ID Varchar(30) NOT NULL,
        lok_ID_fra Integer NOT NULL,
        lok_ID_til Integer NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                rel_ID
        )
);

CREATE TABLE RelType (
        relType_ID Varchar(30) NOT NULL,
        rtBeskrivelse Varchar(200),
        CONSTRAINT PrimaryKey PRIMARY KEY (
                relType_ID
        )
);

CREATE TABLE PosFP (
        lok_ID Integer NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                lok_ID
        )
);

CREATE TABLE PosGPS (
        lok_ID Integer NOT NULL,
        geoType_ID Varchar(30) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                lok_ID
        )
);

CREATE TABLE Tidsform (
        tidsformNavn Varchar(15) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                tidsformNavn
        )
);

CREATE TABLE LokKeyword (
        keyword Varchar(30) NOT NULL,
        lok_ID Integer NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                keyword,
                lok_ID
        )
);

CREATE TABLE Goals (
        goal_ID Integer NOT NULL,
        brukernavn Varchar(30) NOT NULL,
        keyword Varchar(30) NOT NULL,
        funkNavn Varchar(30) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                goal_ID
        )
);

CREATE TABLE 2do (
        2do_ID Integer NOT NULL,
        brukernavn Varchar(30) NOT NULL,
        lok_ID Integer NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                2do_ID
        )
);

CREATE TABLE 2doEntry (
        entry_ID Integer NOT NULL,
        entryNr Integer NOT NULL,
        entryInfo Varchar(80) NOT NULL,
        2do_ID Integer NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                entry_ID
        )
);

CREATE TABLE Annotasjon (
        annotasjon_ID Integer NOT NULL,
        annotasjon Varchar(250),
        annoNavn Varchar(30) NOT NULL,
        brukernavn Varchar(30) NOT NULL,
        lok_ID Integer NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                annotasjon_ID
        )
);

CREATE TABLE Abonnement (
        abo_ID Integer NOT NULL,
        brukernavn Varchar(30) NOT NULL,
        tjeneste Varchar(30) NOT NULL,
        lok_ID Integer,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                abo_ID
        )
);

CREATE TABLE Kontekst (
        kontekst_ID Varchar(30) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                kontekst_ID
        )
);

CREATE TABLE Infotjeneste (
        tjeneste Varchar(30) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                tjeneste
        )
);

CREATE TABLE GeoType (
        geoType_ID Varchar(30) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                geoType_ID
        )
);

CREATE TABLE GPSkoord (
        koord_ID Integer NOT NULL,
        lon Float NOT NULL,
        lat Float NOT NULL,
        lok_ID Integer NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                koord_ID
        )
);

CREATE TABLE AP (
        AP_ID Integer NOT NULL,
        MAC Varchar(12),
        signal Integer,
        noise Integer,
        sample_ID Integer,
        lok_ID Integer NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                AP_ID
        )
);

CREATE TABLE LokTypeRel (
        lokTypeNavnOver Varchar(30) NOT NULL,
        lokTypeNavnUnder Varchar(30) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                lokTypeNavnOver,
                lokTypeNavnUnder
        )
);

CREATE TABLE CurrentSignal (
        MAC Varchar(12) NOT NULL,
        Signal Integer,
        Noise Integer,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                MAC
        )
);

CREATE TABLE Funksjon (
        funkNavn Varchar(30) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                funkNavn
        )
);

CREATE TABLE LokFunk (
        lok_ID Integer NOT NULL,
        funkNavn Varchar(30) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                lok_ID,
                funkNavn
        )
);

CREATE TABLE LokTypeFunk (
        lokTypeNavn Varchar(30) NOT NULL,
        funkNavn Varchar(30) NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                lokTypeNavn,
                funkNavn
        )
);

CREATE TABLE Thesaurus (
        altNavn Integer NOT NULL,
        lok_ID Integer NOT NULL,
        CONSTRAINT PrimaryKey PRIMARY KEY (
                altNavn,
                lok_ID
        )
);


//        F R E M M E D N  K L E R

ALTER TABLE LokInfo
        ADD CONSTRAINT Lokasjon_LokInfo
        FOREIGN KEY (
                lok_ID
        )
        REFERENCES Lokasjon (
                lok_ID
        );

ALTER TABLE LokInfo
        ADD CONSTRAINT InfoArt_LokInfo
        FOREIGN KEY (
                infoArtNavn
        )
        REFERENCES InfoArt (
                infoArtNavn
        );

ALTER TABLE Kart
        ADD CONSTRAINT Lokasjon_Kart
        FOREIGN KEY (
                lok_ID
        )
        REFERENCES Lokasjon (
                lok_ID
        );

ALTER TABLE KartLayer
        ADD CONSTRAINT Kart_KartLayer
        FOREIGN KEY (
                kart_ID
        )
        REFERENCES Kart (
                kart_ID
        );

ALTER TABLE Tid
        ADD CONSTRAINT Lokasjon_Tid
        FOREIGN KEY (
                lok_ID
        )
        REFERENCES Lokasjon (
                lok_ID
        );

ALTER TABLE LokInfo
        ADD CONSTRAINT Brukergruppe_LokInfo
        FOREIGN KEY (
                brukergruppe_ID
        )
        REFERENCES Brukergruppe (
                brukergruppe_ID
        );

ALTER TABLE Brukergruppe
        ADD CONSTRAINT Brukertype_Brukergru
        FOREIGN KEY (
                brukertype_ID
        )
        REFERENCES Brukertype (
                brukertype_ID
        );

ALTER TABLE Brukerprofil
        ADD CONSTRAINT Brukergruppe_Brukerp
        FOREIGN KEY (
                brukergruppe_ID
        )
        REFERENCES Brukergruppe (
                brukergruppe_ID
        );

ALTER TABLE Brukerinteresser
        ADD CONSTRAINT Brukerprofil_Brukeri
        FOREIGN KEY (
                brukernavn
        )
        REFERENCES Brukerprofil (
                brukernavn
        );

ALTER TABLE Brukerinteresser
        ADD CONSTRAINT Interesser_Brukerint
        FOREIGN KEY (
                interesse_ID
        )
        REFERENCES Interesser (
                interesse_ID
        );

ALTER TABLE Relasjon
        ADD CONSTRAINT RelType_Relasjon
        FOREIGN KEY (
                relType_ID
        )
        REFERENCES RelType (
                relType_ID
        );

ALTER TABLE Relasjon
        ADD CONSTRAINT Lokasjon_Relasjon1
        FOREIGN KEY (
                lok_ID_fra
        )
        REFERENCES Lokasjon (
                lok_ID
        );

ALTER TABLE Relasjon
        ADD CONSTRAINT Lokasjon_Relasjon2
        FOREIGN KEY (
                lok_ID_til
        )
        REFERENCES Lokasjon (
                lok_ID
        );

ALTER TABLE Tid
        ADD CONSTRAINT Tidsform_Tid
        FOREIGN KEY (
                tidsformNavn
        )
        REFERENCES Tidsform (
                tidsformNavn
        );

ALTER TABLE LokKeyword
        ADD CONSTRAINT Lokasjon_LokKeyword
        FOREIGN KEY (
                lok_ID
        )
        REFERENCES Lokasjon (
                lok_ID
        );

ALTER TABLE LokKeyword
        ADD CONSTRAINT Keyword_LokKeyword
        FOREIGN KEY (
                keyword
        )
        REFERENCES Keyword (
                keyword
        );

ALTER TABLE Relasjon
        ADD CONSTRAINT Brukergruppe_Relasjo
        FOREIGN KEY (
                brukergruppe_ID
        )
        REFERENCES Brukergruppe (
                brukergruppe_ID
        );

ALTER TABLE Goals
        ADD CONSTRAINT Brukerprofil_Goals
        FOREIGN KEY (
                brukernavn
        )
        REFERENCES Brukerprofil (
                brukernavn
        );

ALTER TABLE Goals
        ADD CONSTRAINT Keyword_Goals
        FOREIGN KEY (
                keyword
        )
        REFERENCES Keyword (
                keyword
        );

ALTER TABLE 2do
        ADD CONSTRAINT Brukerprofil_2do
        FOREIGN KEY (
                brukernavn
        )
        REFERENCES Brukerprofil (
                brukernavn
        );

ALTER TABLE 2do
        ADD CONSTRAINT Lokasjon_2do
        FOREIGN KEY (
                lok_ID
        )
        REFERENCES Lokasjon (
                lok_ID
        );

ALTER TABLE 2doEntry
        ADD CONSTRAINT 2do_2doEntry
        FOREIGN KEY (
                2do_ID
        )
        REFERENCES 2do (
                2do_ID
        );

ALTER TABLE Goals
        ADD CONSTRAINT Funksjon_Goals
        FOREIGN KEY (
                funkNavn
        )
        REFERENCES Funksjon (
                funkNavn
        );

ALTER TABLE Annotasjon
        ADD CONSTRAINT Lokasjon_Annotasjon
        FOREIGN KEY (
                lok_ID
        )
        REFERENCES Lokasjon (
                lok_ID
        );

ALTER TABLE Annotasjon
        ADD CONSTRAINT Brukerprofil_Annotas
        FOREIGN KEY (
                brukernavn
        )
        REFERENCES Brukerprofil (
                brukernavn
        );

ALTER TABLE Abonnement
        ADD CONSTRAINT Brukerprofil_Abonnem
        FOREIGN KEY (
                brukernavn
        )
        REFERENCES Brukerprofil (
                brukernavn
        );

ALTER TABLE Brukerprofil
        ADD CONSTRAINT Kontekst_Brukerprofi
        FOREIGN KEY (
                kontekst_ID
        )
        REFERENCES Kontekst (
                kontekst_ID
        );

ALTER TABLE Deltakelse
        ADD CONSTRAINT Brukerprofil_Deltake
        FOREIGN KEY (
                brukernavn
        )
        REFERENCES Brukerprofil (
                brukernavn
        );

ALTER TABLE Deltakelse
        ADD CONSTRAINT Event_Deltakelse
        FOREIGN KEY (
                event_ID
        )
        REFERENCES Event (
                event_ID
        );

ALTER TABLE Event
        ADD CONSTRAINT Lokasjon_Event
        FOREIGN KEY (
                lok_ID
        )
        REFERENCES Lokasjon (
                lok_ID
        );

ALTER TABLE Abonnement
        ADD CONSTRAINT Infotjeneste_Abonnem
        FOREIGN KEY (
                tjeneste
        )
        REFERENCES Infotjeneste (
                tjeneste
        );

ALTER TABLE PosGPS
        ADD CONSTRAINT GeoType_PosGPS
        FOREIGN KEY (
                geoType_ID
        )
        REFERENCES GeoType (
                geoType_ID
        );

ALTER TABLE GPSkoord
        ADD CONSTRAINT PosGPS_GPSkoord
        FOREIGN KEY (
                lok_ID
        )
        REFERENCES PosGPS (
                lok_ID
        );

ALTER TABLE AP
        ADD CONSTRAINT PosFP_AP
        FOREIGN KEY (
                lok_ID
        )
        REFERENCES PosFP (
                lok_ID
        );

ALTER TABLE InfoKap
        ADD CONSTRAINT LokInfo_InfoKap
        FOREIGN KEY (
                info_ID
        )
        REFERENCES LokInfo (
                info_ID
        );

ALTER TABLE LokTypeRel
        ADD CONSTRAINT LokType_LokTypeRel1
        FOREIGN KEY (
                lokTypeNavnOver
        )
        REFERENCES LokType (
                lokTypeNavn
        );

ALTER TABLE LokTypeRel
        ADD CONSTRAINT LokType_LokTypeRel2
        FOREIGN KEY (
                lokTypeNavnUnder
        )
        REFERENCES LokType (
                lokTypeNavn
        );

ALTER TABLE Tid
        ADD CONSTRAINT Abonnement_Tid
        FOREIGN KEY (
                abo_ID
        )
        REFERENCES Abonnement (
                abo_ID
        );

ALTER TABLE Tid
        ADD CONSTRAINT Event_Tid
        FOREIGN KEY (
                event_ID
        )
        REFERENCES Event (
                event_ID
        );

ALTER TABLE Abonnement
        ADD CONSTRAINT Lokasjon_Abonnement
        FOREIGN KEY (
                lok_ID
        )
        REFERENCES Lokasjon (
                lok_ID
        );

ALTER TABLE LokFunk
        ADD CONSTRAINT Funksjon_LokFunk
        FOREIGN KEY (
                funkNavn
        )
        REFERENCES Funksjon (
                funkNavn
        );

ALTER TABLE LokFunk
        ADD CONSTRAINT Lokasjon_LokFunk
        FOREIGN KEY (
                lok_ID
        )
        REFERENCES Lokasjon (
                lok_ID
        );

ALTER TABLE LokTypeFunk
        ADD CONSTRAINT LokType_LokTypeFunk
        FOREIGN KEY (
                lokTypeNavn
        )
        REFERENCES LokType (
                lokTypeNavn
        );

ALTER TABLE LokTypeFunk
        ADD CONSTRAINT Funksjon_LokTypeFunk
        FOREIGN KEY (
                funkNavn
        )
        REFERENCES Funksjon (
                funkNavn
        );

ALTER TABLE Lokasjon
        ADD CONSTRAINT LokType_Lokasjon
        FOREIGN KEY (
                lokTypeNavn
        )
        REFERENCES LokType (
                lokTypeNavn
        );

ALTER TABLE PosGPS
        ADD CONSTRAINT Lokasjon_PosGPS
        FOREIGN KEY (
                lok_ID
        )
        REFERENCES Lokasjon (
                lok_ID
        );

ALTER TABLE PosFP
        ADD CONSTRAINT Lokasjon_PosFP
        FOREIGN KEY (
                lok_ID
        )
        REFERENCES Lokasjon (
                lok_ID
        );

ALTER TABLE Thesaurus
        ADD CONSTRAINT Lokasjon_Thesaurus
        FOREIGN KEY (
                lok_ID
        )
        REFERENCES Lokasjon (
                lok_ID
        );



//        I N D E K S E R    F O R   F R E M M E D N  K L E R

CREATE INDEX FK1_Lokasjon_LokInfo ON LokInfo (
        lok_ID
);

CREATE INDEX FK2_InfoArt_LokInfo ON LokInfo (
        infoArtNavn
);

CREATE INDEX FK3_Lokasjon_Kart ON Kart (
        lok_ID
);

CREATE INDEX FK4_Kart_KartLayer ON KartLayer (
        kart_ID
);

CREATE INDEX FK5_Lokasjon_Tid ON Tid (
        lok_ID
);

CREATE INDEX FK6_Brukergruppe_LokInfo ON LokInfo (
        brukergruppe_ID
);

CREATE INDEX FK7_Brukertype_Brukergru ON Brukergruppe (
        brukertype_ID
);

CREATE INDEX FK8_Brukergruppe_Brukerp ON Brukerprofil (
        brukergruppe_ID
);

CREATE INDEX FK9_Brukerprofil_Brukeri ON Brukerinteresser (
        brukernavn
);

CREATE INDEX FK10_Interesser_Brukerint ON Brukerinteresser (
        interesse_ID
);

CREATE INDEX FK11_RelType_Relasjon ON Relasjon (
        relType_ID
);

CREATE INDEX FK12_Lokasjon_Relasjon1 ON Relasjon (
        lok_ID_fra
);

CREATE INDEX FK13_Lokasjon_Relasjon2 ON Relasjon (
        lok_ID_til
);

CREATE INDEX FK14_Tidsform_Tid ON Tid (
        tidsformNavn
);

CREATE INDEX FK15_Lokasjon_LokKeyword ON LokKeyword (
        lok_ID
);

CREATE INDEX FK16_Keyword_LokKeyword ON LokKeyword (
        keyword
);

CREATE INDEX FK17_Brukergruppe_Relasjo ON Relasjon (
        brukergruppe_ID
);

CREATE INDEX FK18_Brukerprofil_Goals ON Goals (
        brukernavn
);

CREATE INDEX FK19_Keyword_Goals ON Goals (
        keyword
);

CREATE INDEX FK20_Brukerprofil_2do ON 2do (
        brukernavn
);

CREATE INDEX FK21_Lokasjon_2do ON 2do (
        lok_ID
);

CREATE INDEX FK22_2do_2doEntry ON 2doEntry (
        2do_ID
);

CREATE INDEX FK23_Funksjon_Goals ON Goals (
        funkNavn
);

CREATE INDEX FK24_Lokasjon_Annotasjon ON Annotasjon (
        lok_ID
);

CREATE INDEX FK25_Brukerprofil_Annotas ON Annotasjon (
        brukernavn
);

CREATE INDEX FK26_Brukerprofil_Abonnem ON Abonnement (
        brukernavn
);

CREATE INDEX FK27_Kontekst_Brukerprofi ON Brukerprofil (
        kontekst_ID
);

CREATE INDEX FK28_Brukerprofil_Deltake ON Deltakelse (
        brukernavn
);

CREATE INDEX FK29_Event_Deltakelse ON Deltakelse (
        event_ID
);

CREATE INDEX FK30_Lokasjon_Event ON Event (
        lok_ID
);

CREATE INDEX FK31_Infotjeneste_Abonnem ON Abonnement (
        tjeneste
);

CREATE INDEX FK32_GeoType_PosGPS ON PosGPS (
        geoType_ID
);

CREATE INDEX FK33_PosGPS_GPSkoord ON GPSkoord (
        lok_ID
);

CREATE INDEX FK34_PosFP_AP ON AP (
        lok_ID
);

CREATE INDEX FK35_LokInfo_InfoKap ON InfoKap (
        info_ID
);

CREATE INDEX FK36_LokType_LokTypeRel1 ON LokTypeRel (
        lokTypeNavnOver
);

CREATE INDEX FK37_LokType_LokTypeRel2 ON LokTypeRel (
        lokTypeNavnUnder
);

CREATE INDEX FK38_Abonnement_Tid ON Tid (
        abo_ID
);

CREATE INDEX FK39_Event_Tid ON Tid (
        event_ID
);

CREATE INDEX FK40_Lokasjon_Abonnement ON Abonnement (
        lok_ID
);

CREATE INDEX FK41_Funksjon_LokFunk ON LokFunk (
        funkNavn
);

CREATE INDEX FK42_Lokasjon_LokFunk ON LokFunk (
        lok_ID
);

CREATE INDEX FK43_LokType_LokTypeFunk ON LokTypeFunk (
        lokTypeNavn
);

CREATE INDEX FK44_Funksjon_LokTypeFunk ON LokTypeFunk (
        funkNavn
);

CREATE INDEX FK45_LokType_Lokasjon ON Lokasjon (
        lokTypeNavn
);

ALTER TABLE PosGPS
        ADD CONSTRAINT FK46_Lokasjon_PosGPS UNIQUE (
);

ALTER TABLE PosFP
        ADD CONSTRAINT FK47_Lokasjon_PosFP UNIQUE (
);

CREATE INDEX FK48_Lokasjon_Thesaurus ON Thesaurus (
        lok_ID
);


//        T I L G A N G E R

GRANT SELECT, INSERT, UPDATE, DELETE ON Lokasjon TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON LokType TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON LokInfo TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON InfoKap TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON InfoArt TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON Kart TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON KartLayer TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON Tid TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON Brukertype TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON Brukergruppe TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON Keyword TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON Brukerprofil TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON Interesser TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON Brukerinteresser TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON Deltakelse TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON Event TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON Relasjon TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON RelType TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON PosFP TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON PosGPS TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON Tidsform TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON LokKeyword TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON Goals TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON 2do TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON 2doEntry TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON Annotasjon TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON Abonnement TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON Kontekst TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON Infotjeneste TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON GeoType TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON GPSkoord TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON AP TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON LokTypeRel TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON CurrentSignal TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON Funksjon TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON LokFunk TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON LokTypeFunk TO PUBLIC;
GRANT SELECT, INSERT, UPDATE, DELETE ON Thesaurus TO PUBLIC;
