' MSN export script for NetStumbler 0.4.0
'
' Writes MAC, Signal and Noise for every AP to a file at each scan.
' File is not appended, only newest readings are stored.
' 
' 13.12.05
' By kane and MrCrool
'
' Last modified: 14.12.05

Dim Rs, HasInit, DumpFile

' Edit to suit your need.
DumpFile = "signaldata.txt"

Const adInteger = 3
Const adVarChar = 200

Initialize


Sub Initialize()

	Set Rs = CreateObject("ADODB.RecordSet")
	Rs.Fields.Append "BSSID", adVarChar, 12
	Rs.Fields.Append "Signal", adInteger
	Rs.Fields.Append "Noise", adInteger
	Rs.Open
	HasInit = True

End Sub

Sub OnScanResult(SSID, BSSID, CapFlags, Signal, Noise, LastSeen)

	If Not HasInit Then Initialize

       	Rs.AddNew Array("BSSID","Signal","Noise"), Array(BSSID, Signal, Noise)
        Rs.Update

End Sub

Sub OnScanComplete(FoundNew, SeenBefore, LostContact, BestSNR)

	WriteToFile()

End Sub

Sub WriteToFile()

	On Error Resume Next
	
	Dim Fso, Tf

	If (Not Rs.EOF Or Not Rs.BOF) Then

		Set Fso = CreateObject("Scripting.FileSystemObject")
		Set Tf = Fso.CreateTextFile(DumpFile,True)

		Rs.MoveFirst
		Do Until Rs.EOF
			Tf.WriteLine(Rs.Fields("BSSID").Value & " " & _
			Rs.Fields("Signal").Value & " " & Rs.Fields("Noise").Value)
			Rs.MoveNext
		Loop
		
		'Ferdig  skrive, tm rs
		HasInit = false	

		Tf.Close
		Set Fso = Nothing 

	End If
End Sub