' MSN export script for NetStumbler 0.4.0
'
' Writes MAC, Signal and Noise for every AP to a DB at each scan.
' File is not appended, only newest readings are stored.
'
' 20.01.06
' By kane and MrCrool
'
' Last modified: 20.01.06

Dim Rs, HasInit

Const adInteger = 3
Const adVarChar = 200

Initialize

Sub Initialize()

	Set Rs = CreateObject("ADODB.RecordSet")
	Rs.Fields.Append "BSSID", adVarChar, 12
	Rs.Fields.Append "Signal", adInteger
	Rs.Fields.Append "Noise", adInteger
	Rs.Open
	HasInit = True

End Sub

Sub OnScanResult(SSID, BSSID, CapFlags, Signal, Noise, LastSeen)

	If Not HasInit Then Initialize

		If BSSID <> "000000000000" Then 'ignore bogus APs
	       	Rs.AddNew Array("BSSID","Signal","Noise"), Array(BSSID, Signal, Noise)
	        Rs.Update
		End if

End Sub

Sub OnScanComplete(FoundNew, SeenBefore, LostContact, BestSNR)

	WriteToDB()

End Sub

Sub WriteToDB()

	If (Not Rs.EOF Or Not Rs.BOF) Then
		Set MyConn = CreateObject("ADODB.Connection")
		MyConn.Open "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=C:\Fumble\CULBIS.mdb"


		MyConn.Execute "DELETE * FROM CurrentSignal"

		Rs.MoveFirst
		Do Until Rs.EOF
			MyConn.Execute "INSERT INTO CurrentSignal (MAC, Signal, Noise) VALUES ('" & Rs.Fields("BSSID").Value & "', " & Rs.Fields("Signal").Value & ", " & Rs.Fields("Noise").Value & ")"
			Rs.MoveNext
		Loop

		MyConn.Close
		HasInit = false
	End If

End Sub